version: '1.0'
nodes:
  - id: n0
    device: container
    component: simple-runner
    interfaces:
      - id: i0
        channel: c0
        ip: 10.1.1.1/24
        mac: 1A:2B:3C:4D:5E:01
      - id: i1
        channel: c1
        ip: 10.1.1.2/16
        mac: 1A:2B:3C:4D:5E:02
  - id: n1
    device: switch
    component: simple-switch
    interfaces:
      - id: i0
        channel: c0
      - id: i1
        channel: c1
      - id: i1
        channel: c2
      - id: i1
        channel: c3
  - id: n2
    device: container
    component: simple-runner
    interfaces:
      - id: i0
        channel: c2
        ip: 10.1.1.2/24
        mac: 1A:2B:3C:4D:5E:03
      - id: i1
        channel: c3
        ip: 10.1.2.1/24
        mac: 1A:2B:3C:4D:5E:04
    routes:
      - network: 0.0.0.0/0     # default gateway
        gateway: 10.1.1.1
      - network: 10.1.10.0/24  # valid, as gateway is in sim network
        gateway: 10.1.2.10
        metric: 50
      - network: 10.20.0.0/16  # valid, as gateway is in sim network (n1, i1)
        gateway: 10.1.100.100
        metric: 100